Subject: Re: crond for CYGWIN32?
From: [email-masked] (Corinna Vinschen)

9 Oct 1998 09:19:18 -0700
Message-ID: <[email-masked]>
References: <015c01bdf237$1225c470$c50bc3d1@TURING>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Jeff <[email-masked]>, [email-masked]

Jeff wrote:
> 
>         Is there any kind of cron daemon for cygwin32?  I've looked around but
> haven't seen anything.  The 'at' service for NT is sorely lacking..

Hi Jeff,

I have written a cron, which runs as WinNT service and a
graphical crontab tool. No panic! The crontab, cron.allow
and cron.deny files are compatible to cron files on real
computers.

But there are three problems:

The worst problem, 'cause it's persistent:
Under WinNT, you can't create a child process as another
user, if you don't know the password, even if the parent
process runs as Administrator or, in case of services,
as LocalSystem. So, the crontab GUI asks for your password,
and saves it again with own encryption method. If you
have done this one time, you can later edit your personal
crontab file with any editor.

The less worse problem, because it could be changed in further
releases:
Unfortunately, the shell which executes the commandline
is currently cmd.exe :-(

And then, bad news are never alone:
The package is written for and compiled with BIG BROTHER'S
compiler...

If you (or others) are interested in, I would publish the
binaries (never the sources, I don't want to tell the
used encryption method) and a short description of
installing and usage.

Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".